use FACTURIER;

#mise  jour table client
alter table client change clientnom2 clientnom2 varchar(250) NOT NULL default '';
alter table client change clienttitre clienttitre varchar(250) NOT NULL default '';
alter table client change clientrue1 clientrue1 varchar(250) NOT NULL default '';
alter table client change clientrue2 clientrue2 varchar(250) NOT NULL default '';
alter table client change clientcp clientcp varchar(255) NOT NULL default '';
alter table client change clientpays clientpays varchar(255) NOT NULL default '';
alter table client change tel1 tel1 varchar(255) NOT NULL default '';
alter table client change tel2 tel2 varchar(255) NOT NULL default '';
alter table client change email email varchar(255) NOT NULL default '';
alter table client change fax fax varchar(255) NOT NULL default '';
alter table client change commentcli commentcli blob NOT NULL default '';
alter table client add statut varchar(20) NOT NULL default 'client';
alter table client add secteur_act varchar(255) NOT NULL default '';
alter table client  add ca double NOT NULL default '0';
alter table client add soc_mere varchar(255) NOT NULL default '';
alter table client add clientcommercial varchar(255) NOT NULL default 'aucun';

update client set statut='client';

#mise  jour de la table commande
alter table commande change commercial commercial varchar(255) NOT NULL default '';
alter table commande change chefprojet chefprojet varchar(255) NOT NULL default '';
alter table commande change commentaires commentaires blob NOT NULL default '';

#mise  jour de la table dpenses
alter table depenses change numcheque numcheque varchar(60) NOT NULL default '';
alter table depenses change fournisseur fournisseur varchar(255) NOT NULL default '';



#mise  jour de la table facture
alter table facture change refcde refcde varchar(60) NOT NULL default '';
alter table facture change numcheque numcheque varchar(60) NOT NULL default '';
alter table facture change contact contact varchar(60) NOT NULL default '';
alter table facture change banquereglement banquereglement varchar(255) NOT NULL default '';
alter table facture change paiement paiement varchar(255) NOT NULL default '';
alter table facture change commentaires commentaires blob NOT NULL default '';
alter table facture add periodicite varchar(255) NOT NULL default '0';

#mise  jour de la table lig_facture
alter table lig_facture change complement complement tinyint(4) NOT NULL default 0;


#mise  jour de la table propal
alter table propal change commercial commercial varchar(255) NOT NULL default '';
alter table propal change chefprojet chefprojet varchar(255) NOT NULL default '';
alter table propal change total total double NOT NULL default 0;
alter table propal change commentaires commentaires blob NOT NULL default '';

#mise  jour de la table user renomme en utilisateur
alter table user rename utilisateur;
alter table utilisateur change nomcomplet nomcomplet varchar(255) not null default '';

#
# ajouter la table 'contactclient'
#


CREATE TABLE contactclient (
  contactid int(10) unsigned NOT NULL default '0',
  clientid int(10) unsigned NOT NULL default '0',
  contacttel varchar(255) NOT NULL default '',
  contactmail varchar(255) NOT NULL default '',
  contactnom varchar(255) NOT NULL default '',
  contactfonction varchar(255) NOT NULL default '',
  contactprenom varchar(255) NOT NULL default '',
  PRIMARY KEY  (contactid)
) TYPE=MyISAM;


#
# ajouter la table 'tacheclient'
#

CREATE TABLE tacheclient (
  tacheid int(10) unsigned NOT NULL default '0',
  clientid int(11) NOT NULL default '-1',
  tachedate bigint(20) unsigned NOT NULL default '0',
  tachelibelle varchar(255) NOT NULL default '0',
  tacheheure varchar(255) NOT NULL default '00:00',
  tacheuserid int(10) unsigned NOT NULL default '0',
  tachefait tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (tacheid)
) TYPE=MyISAM;

#
# ajouter la table 'tacheuserdroit'
#

CREATE TABLE tacheuserdroit (
  tacheuserid int(10) unsigned NOT NULL default '0',
  useridlu int(10) unsigned NOT NULL default '0',
  useridli int(10) unsigned NOT NULL default '0',
  droitmaj tinyint(4) NOT NULL default '0',
  droitsupp tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (tacheuserid)
) TYPE=MyISAM;


